import java.awt.*;
import java.applet.Applet;

public class BinLearn extends Applet {

Button top, bottom, reset;
Label score, trials, blank;
Judge judge;
Graph graph;

    public void init() {	 
		
        top = new Button();

        bottom = new Button();

		reset = new Button("Reset");

		score = new Label();
        
		trials = new Label();

		graph = new Graph(1);

		judge = new Judge(top,bottom,score,trials,graph);

        setLayout(new GridLayout(0,2));

		setBackground(new Color(205,199,182));


        add(score);
		add(top);
        add(trials);
        add(bottom);
		add(graph);
		add(reset);

        //Necessary when adding buttons to an already visible container:
        validate();
    }

    public boolean action(Event e, Object arg) {
        Object target = e.target;
         
        if (target == top) {
			judge.update(true);
            return true;
        }
        if (target == bottom) {
			judge.update(false);
            return true;
        }
		if (target == reset) {
		   graph.reset(1);

		   judge = new Judge(top,bottom,score,trials,graph);
		   return true;
		}
        return false;
    }
}