import java.awt.*;

public class Judge {

double ftop, fscore;	
int itrials;
Button top, bottom;	 
Label score, trials;
Chief chief;
Graph graph;


Judge(Button ptop, Button pbottom, 
		Label pscore, Label ptrials, Graph pgraph) {
		top=ptop;
		bottom=pbottom;
		score=pscore;
		trials=ptrials;
		graph=pgraph;
		ftop=.5;
		fscore=0.0;
		itrials=0;
		chief = new Chief();
		this.next();

}


	void next() {
		float ffscore;
		double temp[];
		temp=new double[2];
		ffscore=(float) fscore;
		ftop=chief.predict();
		score.setText("SCORE="+ffscore);
		trials.setText("TRIALS="+itrials);
		top.setLabel(""+ftop);
		bottom.setLabel(""+(1.0-ftop));
		graph.setScale(0,0,Math.log(1+(double)itrials),1);
		temp[0]=Math.log(1+(double)itrials);
		temp[1]=(double)fscore;
		graph.addRow(temp);
		graph.repaint();
	}

	public void update(boolean istop) {
		if(istop) {
			fscore=((fscore*itrials)+ftop)/(itrials+1);
		}
		else {
			fscore=((fscore*itrials)+(1.0-ftop))/(itrials+1);
		}
		itrials++;
		chief.update(istop);
		this.next();
	}

}

